### Method

# FwupdPlugin UdevDevice get_sysfs_path

since: 1.1.2

#### Declaration [src]

    const gchar*
    fu_udev_device_get_sysfs_path (
      FuUdevDevice* self
    )

#### Description [src]

Gets the device sysfs path, e.g. `/sys/devices/pci0000:00/0000:00:14.0`.

Available since: 1.1.2

#### Return value

Type: `const gchar*`

A local path, or NULL if unset or invalid.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.